Package org.apache.solr.client.solrj.request.beans

## Class CreatePayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.CreatePayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`

    public class CreatePayload
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `async`
`String` `config`
`String` `name`
`List<String>` `nodeSet`
`Integer` `nrtReplicas`
`Integer` `numShards`
`Boolean` `perReplicaState`
`Map<String,​Object>` `properties`
`Integer` `pullReplicas`
`Integer` `replicationFactor`
`Map<String,​Object>` `router`
`String` `shards`
`Boolean` `shuffleNodes`
`Integer` `tlogReplicas`
`Boolean` `waitForFinalState`

### Constructor Summary

Constructors
`CreatePayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### name

    public String name

#### config

    public String config

#### router

    public Map<String,​Object> router

#### numShards

    public Integer numShards

#### shards

    public String shards

#### replicationFactor

    public Integer replicationFactor

#### nrtReplicas

    public Integer nrtReplicas

#### tlogReplicas

    public Integer tlogReplicas

#### pullReplicas

    public Integer pullReplicas

#### nodeSet

    public List<String> nodeSet

#### shuffleNodes

    public Boolean shuffleNodes

#### properties

    public Map<String,​Object> properties

#### async

    public String async

#### waitForFinalState

    public Boolean waitForFinalState

#### perReplicaState

    public Boolean perReplicaState

### Constructor Detail

#### CreatePayload

    public CreatePayload()